package com.bffmedia.hour12app;
import java.util.ArrayList;

import android.app.ListFragment;
import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.Toast;
public class PhotoListFragment extends ListFragment    {
	String[] mTitles;	
	@Override
	public void onActivityCreated(Bundle savedInstanceState) {
		super.onActivityCreated(savedInstanceState);
		MainActivity currentActivity = (MainActivity) this.getActivity();
		ArrayList <FlickrPhoto> photos = currentActivity.getPhotos();
		mTitles = new String[photos.size()];
		for (int i=0; i < photos.size(); i++){
			mTitles[i] =photos.get(i).title;
		}
		setListAdapter(new ArrayAdapter<String>(this.getActivity(),
				android.R.layout.simple_list_item_1, mTitles));
	}
	@Override
	public void onListItemClick(ListView l, View v, int position, long id) {
		Toast.makeText(this.getActivity().getApplicationContext(), mTitles[position], Toast.LENGTH_SHORT).show();

	}
} 
