package com.bffmedia.hour17appcontacts;


import android.app.FragmentTransaction;
import android.app.ListFragment;
import android.app.LoaderManager.LoaderCallbacks;
import android.content.CursorLoader;
import android.content.Loader;
import android.database.Cursor;
import android.net.Uri;
import android.os.Bundle;
import android.provider.CalendarContract.Calendars;
import android.provider.ContactsContract;
import android.provider.ContactsContract.Contacts;
import android.view.View;
import android.widget.ListView;
import android.widget.SimpleCursorAdapter;
public class ContactListFragment extends ListFragment implements LoaderCallbacks<Cursor>    {
	SimpleCursorAdapter mAdapter;
	@Override
	public void onActivityCreated(Bundle savedInstanceState) {
		super.onActivityCreated(savedInstanceState);	
		getLoaderManager().initLoader(0, null, this);
		mAdapter = new SimpleCursorAdapter(getActivity(), 
				android.R.layout.simple_list_item_2, 
				null, //cursor 
				new String[] {Contacts.DISPLAY_NAME, Contacts.HAS_PHONE_NUMBER},
				new int[] { android.R.id.text1,  android.R.id.text2,}, 0); 
		setListAdapter(mAdapter);
	}

	@Override
	public Loader<Cursor> onCreateLoader(int id, Bundle args) {
		CursorLoader cursorLoader = new CursorLoader(getActivity(),
				
				
		// Get all contacts				
		//	Contacts.CONTENT_URI, 
		// Filter contact		
				Uri.withAppendedPath(Contacts.CONTENT_FILTER_URI, "Scott"),  null, null, null, null);		
		return cursorLoader;
	}
	@Override
	public void onLoadFinished(Loader<Cursor> loader, Cursor cursor) {
		mAdapter.swapCursor(cursor);
	}
	@Override
	public void onLoaderReset(Loader<Cursor> loader) {
		mAdapter.swapCursor(null);		
	}
//	@Override
//	public void onListItemClick(ListView l, View v, int position, long id) {
//		EventListFragment eventListFragment = new EventListFragment();
//		Bundle args = new Bundle();   
//		args.putLong("calendarId", id);
//		eventListFragment.setArguments(args);
//		FragmentTransaction ft = getFragmentManager().beginTransaction();
//		ft.replace(R.id.layout_container, eventListFragment);
//		ft.setTransition(FragmentTransaction.TRANSIT_FRAGMENT_FADE);
//		ft.commit();
//	}
	
} 
