package com.bffmedia.hour17calendarintent;

import java.util.Calendar;

import android.os.Bundle;
import android.provider.CalendarContract;
import android.provider.CalendarContract.Events;
import android.app.Activity;
import android.content.Intent;
import android.view.Menu;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		Calendar beginTime = Calendar.getInstance();
		beginTime.set(2013, 11, 31, 10, 30);
		Calendar endTime = Calendar.getInstance();
		endTime.set(2014, 0, 1, 2, 30);
		Intent intent = new Intent(Intent.ACTION_INSERT)
		        .setData(Events.CONTENT_URI)
		        .putExtra(CalendarContract.EXTRA_EVENT_BEGIN_TIME, beginTime.getTimeInMillis())
		        .putExtra(CalendarContract.EXTRA_EVENT_END_TIME, endTime.getTimeInMillis())
		        .putExtra(Events.TITLE, "New Years Party")
		        .putExtra(Events.DESCRIPTION, "Have fun")
		        .putExtra(Events.EVENT_LOCATION, "Our house")
		        .putExtra(Events.AVAILABILITY, Events.AVAILABILITY_BUSY)
		        .putExtra(Intent.EXTRA_EMAIL, "carmendelessio@gmail.com");
		startActivity(intent);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.activity_main, menu);
		return true;
	}

}
