package com.bffmedia.hour2app;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

public class ActivityB extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_b_layout);
        TextView t =  (TextView)findViewById(R.id.textView1);
        Intent intent = getIntent();
        if (intent!=null){
            String action = intent.getAction();
            String type = intent.getType();
            if (Intent.ACTION_SEND.equals(action) && "text/plain".equals(type)) {
               t.setText(intent.getStringExtra(Intent.EXTRA_TEXT));
            }else{
            	  Bundle bundle = intent.getBundleExtra("BUNDLE");      
                  String greeting = bundle.getString("GREETING");
                  String stringData = intent.getStringExtra("STRING");
                  Boolean booleanData = intent.getBooleanExtra("BOOLEAN", false);
                  int intData = intent.getIntExtra("INT",0);
                  t.setText("This is Activity B: "  + greeting + " " 
                              + stringData + " " + booleanData + " " + intData);
            }
        }
     
        Button b =  (Button)findViewById(R.id.button1);
        b.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
            	Intent intent = new Intent(ActivityB.this, ActivityA.class);
               	intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK|Intent.FLAG_ACTIVITY_CLEAR_TOP);
            	startActivity(intent);           	
            }
        });
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.activity_layout, menu);
        return true;
    }
    
}
