package com.bffmedia.hour3app;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.Button;
import android.widget.ImageView;

public class MainActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        ImageView logo = (ImageView)findViewById(R.id.imageView1);
        Animation fade = AnimationUtils.loadAnimation(this, R.anim.fadein);
        logo.startAnimation(fade);
    }
    
    @Override
    protected void onPause() { 
        super.onPause();
        ImageView logo = (ImageView)findViewById(R.id.imageView1);
        logo.clearAnimation();
    }



    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.activity_main, menu);
        return true;
    }
    
}
