package com.bffmedia.hour8app.callback;

import com.bffmedia.hour8app.callback.R;

import android.app.Activity;
import android.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.View.OnClickListener;
import android.widget.Button;
public class FragmentYesNo extends Fragment   {

	public interface OnAnswerSelectedListener {
		public void OnAnswerSelected(String answer);
	}
	OnAnswerSelectedListener mListener;
	
	@Override
    public void onAttach(Activity activity) {
        super.onAttach(activity);
        try {
            mListener = (OnAnswerSelectedListener) activity;
        } catch (ClassCastException e) {
            throw new ClassCastException(activity.toString() + " must implement OnAnswerSelectedListener");
        }
    }
	
	
	
	@Override
	public View onCreateView(LayoutInflater 
			inflater, ViewGroup container, Bundle savedInstanceState) {
		View v = inflater.inflate(R.layout.fragment_yes_no, container, false);
		Button buttonYes = (Button) v.findViewById(R.id.buttonYes);
		buttonYes.setOnClickListener(new OnClickListener() {
			public void onClick(View v) {
				mListener.OnAnswerSelected("yes");	                  	
			}
		});
		Button buttonNo = (Button) v.findViewById(R.id.buttonNo);
		buttonNo.setOnClickListener(new OnClickListener() {
			public void onClick(View v) {
				mListener.OnAnswerSelected("no");	                  	
			}
		});
		return v;
	}
} 
