package com.bffmedia.hour8app.callback;

import com.bffmedia.hour8app.callback.R;

import android.app.Activity;
import android.app.FragmentTransaction;
import android.os.Bundle;

import android.view.Menu;
import android.widget.Toast;

public class MainActivity extends Activity implements FragmentYesNo.OnAnswerSelectedListener {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		FragmentYesNo fragmentA = new FragmentYesNo();
		FragmentTransaction ft = getFragmentManager().beginTransaction();
		ft.replace(R.id.layout_container, fragmentA);
		ft.addToBackStack("yesno");
		ft.setTransition(FragmentTransaction.TRANSIT_FRAGMENT_FADE);
		ft.commit();
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.activity_main, menu);
		return true;
	}

	@Override
	public void OnAnswerSelected(String answer) {
		Toast.makeText(getApplicationContext(), answer, Toast.LENGTH_SHORT).show();
	}

}
