package com.bffmedia.hour10app;
import com.bffmedia.hour10app.R;
import android.app.Activity;
import android.app.ListFragment;
import android.content.res.Resources;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.GridView;
import android.widget.ListView;
import android.widget.Toast;
import android.widget.AdapterView.OnItemClickListener;
public class CustomListFragment extends ListFragment    {
	String[] mPies;

	
	@Override
	public void onActivityCreated(Bundle savedInstanceState) {
		super.onActivityCreated(savedInstanceState);
		Resources resources = getResources();
		mPies = resources.getStringArray(R.array.pie_array);
		setListAdapter(new ArrayAdapter<String>(this.getActivity(),
				android.R.layout.simple_list_item_1, mPies));
	}
	
	
	@Override
	public void onListItemClick(ListView l, View v, int position, long id) {
		Toast.makeText(this.getActivity().getApplicationContext(), mPies[position], Toast.LENGTH_SHORT).show();
	}

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
		View v   = inflater.inflate(R.layout.custom_list_fragment, container, false);
		return v;
	}
	
	
} 
