package com.bffmedia.hour10app;

import android.app.Fragment;
import android.content.res.Resources;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterViewFlipper;
import android.widget.ArrayAdapter;
public class SimpleFlipperFragment extends Fragment   {
	AdapterViewFlipper mFlipper;
    String[] mPies;
	
    
	@Override
	public void onActivityCreated(Bundle savedInstanceState) {
		super.onActivityCreated(savedInstanceState);
		Resources resources = getResources();
		mPies = resources.getStringArray(R.array.pie_array);
		mFlipper.setAdapter(new ArrayAdapter<String>(getActivity(),
                android.R.layout.simple_list_item_1, mPies));
	}
	
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
		mFlipper  = (AdapterViewFlipper) inflater.inflate(R.layout.view_flipper_fragment, container, false);
		mFlipper.setAutoStart(true);
		mFlipper.setFlipInterval (2000);
		return mFlipper;
	}
} 
