package com.bffmedia.hour10app;

import android.app.Activity;
import android.app.Fragment;
import android.content.res.Resources;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.GridView;
import android.widget.Toast;
public class SimpleGridFragment extends Fragment   {
	GridView mGrid;
    String[] mPies;
	
	@Override
	public void onActivityCreated(Bundle savedInstanceState) {
		super.onActivityCreated(savedInstanceState);
		Resources resources = getResources();
		mPies = resources.getStringArray(R.array.pie_array);
		mGrid.setAdapter(new ArrayAdapter<String>(getActivity(),
                android.R.layout.simple_list_item_1, mPies));
	}
	
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
		mGrid  = (GridView) inflater.inflate(R.layout.grid_fragment, container, false);
		mGrid.setOnItemClickListener(new OnItemClickListener() {
            public void onItemClick(AdapterView<?> parent, View v, int position, long id) {
        		Toast.makeText(getActivity().getApplicationContext(), mPies[position], Toast.LENGTH_SHORT).show();
            }
        });
		return mGrid;
	}
} 
