package com.bffmedia.hour21audio;
import java.io.IOException;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.app.Activity;
import android.content.res.AssetFileDescriptor;
public class MainActivity extends Activity {	
	MediaPlayer mediaPlayer = new MediaPlayer();
	AssetFileDescriptor audioFileDescriptor;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
	}
	@Override
	protected void onResume() {
		super.onResume();
		try {
			audioFileDescriptor = getAssets().openFd("helloworld.mp3");	
			mediaPlayer.setDataSource(audioFileDescriptor.getFileDescriptor(),audioFileDescriptor.getStartOffset(),audioFileDescriptor.getLength());
			mediaPlayer.prepare();
			mediaPlayer.start();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	@Override
	protected void onPause() {
		super.onPause();
		mediaPlayer.release();
	}
}

