package com.bffmedia.hour23opensource;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;

import com.actionbarsherlock.app.SherlockFragment;
import com.squareup.picasso.Picasso;

public class ImageFragment extends SherlockFragment {
	private static final String POSITION="position";
	static ImageFragment newInstance(int position) {
		ImageFragment imageFragment=new ImageFragment();
		Bundle args=new Bundle();
		args.putInt(POSITION, position);
		imageFragment.setArguments(args);
		return(imageFragment);
	}

	@Override
	public View onCreateView(LayoutInflater inflater,
			ViewGroup container,
			Bundle savedInstanceState) {
		View view=inflater.inflate(R.layout.fragment_image, container, false);
		ImageView imageView = (ImageView)view.findViewById(R.id.imageView);
		int position=getArguments().getInt(POSITION, -1);
		String photoUrl =  ((MainActivity) getActivity()).getImageUrlByPosition(position);
		Picasso.with(getActivity()).load(photoUrl).into(imageView);
		return(view);
	}
}