package com.bffmedia.hour6app;

import android.app.Activity;
import android.content.Intent;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ArrayAdapter;
import android.widget.AutoCompleteTextView;
import android.widget.Button;
import android.widget.Spinner;
import android.widget.Toast;


public class AdapterActivity extends Activity {
	String[] values = {"one", "two", "three", "one hundred", "one thousand" };
	Spinner mSpinner;
	AutoCompleteTextView mAutoCompleteTextView;
	Button mButton;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_adapters);
		mSpinner = (Spinner)findViewById(R.id.spinner1);
		ArrayAdapter<String> spinnerAdapter = new ArrayAdapter<String>
		          (this,android.R.layout.simple_spinner_item,values); 
		mSpinner.setAdapter(spinnerAdapter);
		ArrayAdapter<String> textAdapter = new ArrayAdapter<String>
        (this,android.R.layout.simple_spinner_dropdown_item,values); 
		mAutoCompleteTextView = (AutoCompleteTextView)findViewById(R.id.autoCompleteTextView1);
		mAutoCompleteTextView.setAdapter(textAdapter);
		
		mButton = (Button)findViewById(R.id.button1);
		mButton.setOnClickListener(new OnClickListener() {
	            public void onClick(View v) {
	            Toast.makeText(getApplicationContext(), (String) mSpinner.getSelectedItem() + " " + mAutoCompleteTextView.getText(), Toast.LENGTH_LONG).show();  
	            
	            }
	        });
 	}
}
