package com.bffmedia.hour6app;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.graphics.drawable.Drawable;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class MainActivity extends Activity {
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
        Button showFormButton =  (Button)findViewById(R.id.buttonFormControl);
        showFormButton.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
            	Intent intent = new Intent(MainActivity.this, FormControlActivity.class);
            	startActivity(intent);           	
            }
        });
        
        Button showAdapterButton =  (Button)findViewById(R.id.buttonAdapter);
        showAdapterButton.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
            	Intent intent = new Intent(MainActivity.this, AdapterActivity.class);
            	startActivity(intent);           	
            }
        });
		
        Button showProgressButton =  (Button)findViewById(R.id.buttonProgress);
        showProgressButton.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
            	Intent intent = new Intent(MainActivity.this, ProgressActivity.class);
            	startActivity(intent);           	
            }
        });
        
        Button showImageViewButton =  (Button)findViewById(R.id.buttonImageView);
        showImageViewButton.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
            	Intent intent = new Intent(MainActivity.this, ImageActivity.class);
            	startActivity(intent);           	
            }
        });
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.activity_main, menu);
		return true;
	}

}
