package com.bffmedia.hour8app.flip;

import com.bffmedia.hour8app.flip.R;

import android.app.Activity;
import android.app.FragmentTransaction;
import android.os.Bundle;

import android.view.Menu;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		showFragmentA();
		}
	
	public void showFragmentA(){
		FragmentA fragmentA = new FragmentA();
		FragmentTransaction ft = getFragmentManager().beginTransaction();
		ft.replace(R.id.layout_container, fragmentA);
		ft.addToBackStack("fragment a");
		ft.setTransition(FragmentTransaction.TRANSIT_FRAGMENT_FADE);
		ft.commit();
	}
	
	public void showFragmentB(){
		FragmentB fragmentB = new FragmentB();
		FragmentTransaction ft = getFragmentManager().beginTransaction();
		ft.replace(R.id.layout_container, fragmentB);
		ft.addToBackStack("fragment b");
		ft.setTransition(FragmentTransaction.TRANSIT_FRAGMENT_FADE);
		ft.commit();
	}


	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.activity_main, menu);
		return true;
	}

}
