package com.bffmedia.hour22;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.pm.PackageManager.NameNotFoundException;
import android.content.pm.Signature;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.util.Base64;
import android.util.Log;

public class MainActivity extends FragmentActivity {
    private MainFragment mainFragment;

	@Override
	public void onCreate(Bundle savedInstanceState) {
	    super.onCreate(savedInstanceState);
	    
	    /* Get the Application Key HAs
	     * Ut will be displayed in logcae
	     * DO NOT INCLUDE THIS SNIPPET IN A PRODUCTION RELEASE
	     */
	    //Begin troubleshooting code
	    try {
	        PackageInfo info = getPackageManager().getPackageInfo(
	                "com.bffmedia.hour22", 
	                PackageManager.GET_SIGNATURES);
	        Signature s;
	        for (Signature signature : info.signatures) {
	            MessageDigest md = MessageDigest.getInstance("SHA");
	            md.update(signature.toByteArray());
	            Log.d("KeyHash:", Base64.encodeToString(md.digest(), Base64.DEFAULT));
	            }
	    } catch (NameNotFoundException e) {

	    } catch (NoSuchAlgorithmException e) {

	    }
	    //End Troubleshooting code
	    
	    
	    if (savedInstanceState == null) {
	        mainFragment = new MainFragment();
	        getSupportFragmentManager()
	        .beginTransaction()
	        .add(android.R.id.content, mainFragment)
	        .commit();
	    } else {
	        // Or set the fragment from restored state info
	        mainFragment = (MainFragment) getSupportFragmentManager()
	        .findFragmentById(android.R.id.content);
	    }
	}


}
